Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1292293

Summary: Review Request: nodejs-is-relative - Returns `true` if the path appears to be relative
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, piotr1212
Target Milestone: ---Flags: piotr1212: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-27 20:33:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1292292    
Bug Blocks: 956806, 1292287    

Description Jared Smith 2015-12-16 22:48:03 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-relative/nodejs-is-relative.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-relative/nodejs-is-relative-0.2.1-1.fc24.src.rpm
Description: Returns `true` if the path appears to be relative
Fedora Account System Username: jsmith

Comment 1 Piotr Popieluch 2015-12-25 20:39:24 UTC
approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/piotr/rpmbuild/1292293-nodejs-is-relative/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-is-relative-0.2.1-1.fc24.noarch.rpm
          nodejs-is-relative-0.2.1-1.fc24.src.rpm
nodejs-is-relative.noarch: W: only-non-binary-in-usr-lib
nodejs-is-relative.noarch: W: dangling-symlink /usr/lib/node_modules/is-relative/node_modules/is-unc-path /usr/lib/node_modules/is-unc-path
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-is-relative.noarch: W: only-non-binary-in-usr-lib
nodejs-is-relative.noarch: W: dangling-symlink /usr/lib/node_modules/is-relative/node_modules/is-unc-path /usr/lib/node_modules/is-unc-path
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-is-relative (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(is-unc-path)



Provides
--------
nodejs-is-relative:
    nodejs-is-relative
    npm(is-relative)



Source checksums
----------------
https://registry.npmjs.org/is-relative/-/is-relative-0.2.1.tgz :
  CHECKSUM(SHA256) this package     : 3f54807dec2f23c02d313adca8ab0a22c5a155b7d1ee799ee782c89f13f30bb2
  CHECKSUM(SHA256) upstream package : 3f54807dec2f23c02d313adca8ab0a22c5a155b7d1ee799ee782c89f13f30bb2
https://raw.githubusercontent.com/jonschlinkert/is-relative/master/test.js :
  CHECKSUM(SHA256) this package     : 51dc8e3df3eb88ef7ac0873a57dabd6573ed04297269ede865e8c06b7675a1e5
  CHECKSUM(SHA256) upstream package : 51dc8e3df3eb88ef7ac0873a57dabd6573ed04297269ede865e8c06b7675a1e5


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -x CheckOwnDirs -b 1292293
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2015-12-26 11:55:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-is-relative

Comment 3 Piotr Popieluch 2016-05-27 20:33:41 UTC
package is in f24 and rawhide, closing